• Precios
  • Blog
Iniciar sesiónAgendá una demo
Add seats POSTBulk set seats PUTGet all seat balances GETGet seat balance GETRemove seats POSTSet seats PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Add seats

Add seats to a customer's subscription. Prorates charges for the current billing period.

POST
/seats

Add seats to a customer's subscription. Prorates charges for the current billing period.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Header Parameters

Idempotency-Key?string

Unique key used to safely retry this write for 24 hours without applying it twice.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/seats" \  -H "Content-Type: application/json" \  -d '{    "customerId": "string",    "featureCode": "string",    "count": 1  }'
{  "id": "string",  "customerId": "string",  "featureCode": "string",  "previousBalance": -9007199254740991,  "newBalance": -9007199254740991,  "ts": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "object": "seat_event",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Set quota PUT

Set a customer's quota allowance for a feature to an exact value.

Bulk set seats PUT

Set all seat types at once.

customerId*string
Length1 <= length <= 200
featureCode*string
Match^[a-z0-9_]+$
Length1 <= length <= 50
count*integer
Range0 < value <= 9007199254740991